Kerbal Space Program - Bug #10278

Gameplay menu buttons (quickload/quicksave/etc) doesn't work after change focus/warp, +autosave
stop working

08/04/2016 03:10 PM - ricasan

Status: Acknowledged Start date: 08/04/2016
Severity: High % Done: 100%
Assignee:

Category: Controls and Ul

Target version:

Version: PS4-1.1.0 Language: English (US)
Platform: PS4 Mod Related: No
Expansion:

Description

Sometimes the in-game menu buttons (shows by pressing options button in flight) stop working, appears to me when changing focus
or doing a high number warp (above 10x) while in the map screen.

It prevents me from using the buttons from that menu (for example, cannot quicksave), despite being able of showing the
config/settings and quickload submenus.

Using the cursor and "clicking" in those buttons make it visually "pressed”, but no action is taken.

Plus to it, autosave stop working, since the game turn unplayable that way and i need to close the application (from PS interface) and
reopen the game again, the game aways return to (immediately) previous state from that i detected the menu problem, showing
when the persistent save was last written.

History

#1 - 08/04/2016 03:17 PM - ricasan

One more thing: i still can, while in the map screen, select another ship and select "change to", only once, but the game remains in the same active
ship, and no action is taken.

#2 - 08/05/2016 02:12 AM - ricasan

ricasan wrote:

Sometimes the in-game menu buttons (shows by pressing options button in flight) stop working, appears to me when changing focus or doing a
high number warp (above 10x) while in the map screen.

It prevents me from using the buttons from that menu (for example, cannot quicksave), despite being able of showing the config/settings and
quickload submenus.

Using the cursor and "clicking" in those buttons make it visually "pressed”, but no action is taken.

Plus to it, autosave stop working, since the game turn unplayable that way and i need to close the application (from PS interface) and reopen the

game again, the game aways return to (immediately) previous state from that i detected the menu problem, showing when the persistent save
was last written.

https://www.youtube.com/watch?v=v34FD--Kj04

#3 - 01/16/2018 04:09 AM - bewing
- Status changed from New to Acknowledged

- % Done changed from 0 to 100
